#ifndef _MELEE_H
#include "../melee.h"
#endif
#ifndef _MFRAME_H
#include "mframe.h"
#endif

#ifndef _MCBODIES_H
#define _MCBODIES_H

class Asteroid : public SpaceObject {
  protected:
  int step;
  int speed;

  public:
  Asteroid();

  virtual void calculate();
  virtual void handle_damage(SpaceLocation *source);
};

class Planet : public SpaceObject {
  public:
	double gravity_force;
	double gravity_mindist;
	double gravity_range;
	double gravity_power;
  Planet(SpaceSprite *osprite);

  virtual void inflict_damage(SpaceObject *other);
  virtual void calculate();
};

#endif