
#ifndef _MNET_H
#define _MNET_H

class NetTCP {
	public:
		int init();
		void deinit();
		int listen(int port, int (*callback)(NetTCP *));
		int connect(void *address, int port);
		int disconnect(void *address, int port);
		int read2send();
		int read2recv();
		int send(int who, int size, void *data);
		int recv(int who, int min, int max, void *data);
	private:
		static void (*message)(char *txt);
		static int calculate();
		static int *open_sockets;
		static int num_connections;
		static int open_socket (int port);
	};
/*
*/
int net_chat () ;

#endif