#include "../ais.h"

char *ControlVegetable::getTypeName() {
	return "VegetableBot";
	}
int ControlVegetable::think() {
	return 0;
	}
int ControlVegetable::choose_ship(int player, int fleet_total) {
	return 127;
	}
ControlVegetable::ControlVegetable (char *name, int id) : Control(name, id) {
	};

char *ControlMoron::getTypeName() {
	return "MoronBot";
	}
int stupid_bot(Ship *ship) {
	int r = 0;
	double a;
	if (!ship->target) return 0;
	if (!ship->target->exists()) {
		ship->target = NULL;
		return 0;
		}
	a = ship->trajectory_angle(ship->target) - ship->get_angle();
	a = fmod(a + 360, 360);
  if (a < 180) {
    r |= keyflag::right;
    }
  else {
    r |= keyflag::left;
    return r;
    }
  a = int(ship->distance(ship->target));
  if (a > 2000) {
    r |= keyflag::thrust;
    }
  else {
    r |= keyflag::thrust;
    r |= keyflag::fire;
    }
  return r;
	}
int ControlMoron::think() {
	return stupid_bot(ship);
	}
ControlMoron::ControlMoron(char *name, int id) : Control(name, id) {}



ControlRecord::ControlRecord (Control *who) : 
		ControlWrapper(who->iname, who->id) {
	c = who;
	}
int ControlRecord::think() {
	int i = c->think();
	tw_log(LOG_PLAYER_KEYS + id, &i, 1);
	return i;
	}
int ControlRecord::choose_ship(int player, int fleet_total) {
	int i = c->choose_ship(player, fleet_total);
	tw_log(LOG_PLAYER_SHIPS + id, &i, 1);
	return i;
	}
void ControlRecord::initialize() {
	c->initialize();
	}
void ControlRecord::deinitialize() {
	c->deinitialize();
	}
char *ControlRecord::getTypeName() {
	return "Record";
	}



ControlPlayback::ControlPlayback (char *name, int id) : Control(name, id) {
	}
int ControlPlayback::think() {
	int i;
	tw_unlog(LOG_PLAYER_KEYS + id, &i, 1);
	return i & 0xff;
	}
int ControlPlayback::choose_ship(int player, int fleet_total) {
	int i;
	tw_unlog(LOG_PLAYER_SHIPS + id, &i, 1);
	return i & 0xff;
	}
char *ControlPlayback::getTypeName() {
	return "Playback";
	}


