#ifndef _MFRAME_H
#include "mframe.h"
#endif

#ifndef _MANIM_H
#define _MANIM_H


class Animation : public SpaceObject {
  protected:
  int frame_count;
  int frame_size;
  int frame_step;

  public:
  Animation(double ox, double oy, SpaceSprite *osprite, int ofcount,
    int ofsize, int layer);

  virtual void calculate();
};

class FixedAnimation : public Animation {
  SpaceLocation *pos;

  public:
  FixedAnimation(SpaceLocation *opos, SpaceSprite *osprite, int ofcount,
    int ofsize, int olayer);

  virtual void calculate();
};

#endif