#include <string.h>

#include "mcontrol.h"
#include "../ais.h"
#include "mship.h"
#include "mmain.h"


const char num_controls = 6;
static char *gcc_sucks_dick[num_controls + 1] = 
		{"None", "Keyboard", "Joystick", "MoronBot", "WussieBot", "SpyAI", NULL};
char **control_name = gcc_sucks_dick;


Control *getController(int type, char *name, int id) {
	switch (type) {
		case 1: return new ControlKB(name, id);
		case 2: return new ControlJoy(name, id);
		case 3: return new ControlMoron(name, id);
		case 4: return new ControlWussie(name, id);
		case 5: return new ControlSpyAI(name, id);
		}
	return NULL;
	}
int control2number(const char *name) {
	if (!name) return 0;
	for (int i = 0; i < num_controls; i += 1) {
		if (!strcmp(name, control_name[i])) return i;
		}
	return 0;
	}


void Control::setup() {}
void Control::select_ship(Ship* ship_pointer, char* ship_name) {
	ship = ship_pointer;
	if (ship && num_targets) ship->target = target[active_target];
	return;
	}
void Control::load(char* inifile, char* inisection) {
	return;
	}
void Control::save(char* inifile, char* inisection) {
	return;
	}

#define SELECT_DIALOG_LIST      0
#define SELECT_DIALOG_TITLE     1
#define SELECT_DIALOG_SHIP      2
#define SELECT_DIALOG_RANDOM    3
#define SELECT_DIALOG_ARANDOM   4
char selectPlayer[18];
char selectTitleString[100];
char *selectListboxGetter(int index, int *list_size) {
	if(index < 0) {
		*list_size = fleet_size;
		return NULL;
		} 
	else return fleet_name[index];
	}
static DIALOG selectDialog[] = {
	// (dialog proc)     (x)   (y)   (w)   (h)   (fg)  (bg)  (key) (flags)  (d1)  (d2)  (dp)
	{ d_list_proc,       5,     5,   280,  400,  255,  0,    0,    D_EXIT,  0,    0,    selectListboxGetter, NULL, NULL },
	{ d_textbox_proc,    300,  10,   240,  80,   255,  0,    0,    0,       0,    0,    selectTitleString, NULL, NULL },
	{ d_button_proc,     300, 120,   180,  40,   255,  0,    0,    D_EXIT,  0,    0,    (void *)"Select ship", NULL, NULL },
	{ d_button_proc,     300, 180,   180,  40,   255,  0,    0,    D_EXIT,  0,    0,    (void *)"Random selection", NULL, NULL },
	{ d_button_proc,     300, 240,   180,  40,   255,  0,    0,    D_EXIT,  0,    0,    (void *)"Always random", NULL, NULL },
	{ NULL,              0,    0,    0,    0,    255,  0,    0,    0,       0,    0,    NULL, NULL, NULL }
	};
int Control::choose_ship(int player, int fleet_total) {
	int ret = -1, slot = 0;
	set_dialog_color(selectDialog, pallete_color[0], pallete_color[15]);
	sprintf(selectTitleString, "%s\n%s\n%d of %d points", iname, fleet_title, fleet_cost, fleet_total);
	slot = 127;
	if (!always_random) {
		while (key[KEY_ENTER] || key[KEY_SPACE]) poll_keyboard();
		ret = do_dialog(selectDialog, SELECT_DIALOG_LIST);
		}
	if ((ret == SELECT_DIALOG_SHIP) || (ret == SELECT_DIALOG_LIST))
		slot = selectDialog[SELECT_DIALOG_LIST].d1;
	if ((ret == SELECT_DIALOG_ARANDOM) || (ret == -1)) always_random = 1;
	return(slot);
	}
void Control::calculate() {
	int i;
	for (i = 0; i < num_targets; i += 1) {
		if (!target[i]->exists()) {
			remove_target(target[i]);
			i -= 1;
			}
		}
	if (!ship) return;
	if (!ship->exists()) {
		select_ship( NULL, NULL);
		return;
		}
	i = ship->nextkeys;
	ship->nextkeys = think();
	ship->thrust       = 1&&(i & keyflag::thrust);
	ship->turn_left    = 1&&(i & keyflag::left);
	ship->turn_right   = 1&&(i & keyflag::right);
	ship->fire_weapon  = 1&&(i & keyflag::fire);
	ship->fire_special = 1&&(i & keyflag::special);
	ship->target_next = 1&&(i & keyflag::next);
	ship->target_prev = 1&&(i & keyflag::prev);
	ship->target_close = 1&&(i & keyflag::close);
	return;
	}
int Control::think() {
	return 0;
	}
char *Control::getDescription() {
	return iname;
	}
void Control::initialize() {
	return;
	}
void Control::deinitialize() {
	select_ship ( NULL, NULL );
	return;
	}
Control::Control(char *name, int id) : ship(NULL), num_targets(0), target(NULL), 
		active_target(-1), always_random(0) {
	this->id = id;
	iname = strdup(name);
	}
Control::~Control() { 
	}
void Control::add_target(Ship *killit) {
	if (!killit) return;
	if (!killit->exists()) return;
	for (int i = 0; i < num_targets; i += 1) {
		if (target[i] == killit) return;
		}
	num_targets += 1;
	target = (Ship**) realloc(target, sizeof(Ship *) * num_targets);
	target[num_targets-1] = killit;
	if (active_target == -1) set_target(0);
	return;
	}
void Control::remove_target(Ship *killit) {
	if (!killit) return;
	for (int i = 0; i < num_targets; i += 1) {
		if (target[i] == killit) {
			num_targets -= 1;
			target[i] = target[num_targets];
			target = (Ship**)realloc(target, num_targets * sizeof(Ship *));
			if (active_target == i) {
				if (num_targets) set_target(random() % num_targets);
				else set_target(-1);
				return;
				}
			else if (active_target == num_targets) active_target = i;
			}
		}
	return;
	}
void Control::set_target(int i) {
	if (i >= num_targets) return;
	active_target = i;
	if (ship) {
		if (i >= 0) ship->target = target[i];
		else ship->target = NULL;
		}
	return;
	}





void ControlWrapper::load(char* inifile, char* inisection) {
	char tmp[40];
	int i;
	set_config_file (inifile);
	if (!c) {
		sprintf (tmp, "%s__Control", this->getTypeName());
		i = ::control2number(get_config_string(inisection, tmp, "Keyboard"));
		c = ::getController(i, iname, id);
		created = 1;
		}
	if (c) c->load(inifile, inisection);
	return;
	}
void ControlWrapper::save(char* inifile, char* inisection) {
	char tmp[40];
	set_config_file (inifile);
	sprintf (tmp, "%s__Type", this->getTypeName());
	set_config_string(inisection, tmp, c->getTypeName());
	if (c) c->save(inifile, inisection);
	return;
	}
int ControlWrapper::choose_ship(int player, int fleet_total) {
	return c->choose_ship(player, fleet_total);
	}
void ControlWrapper::select_ship(Ship* ship_pointer, char* ship_name) {
	Control::select_ship(ship_pointer, ship_name);
	c->select_ship(ship_pointer, ship_name);
	}
int ControlWrapper::think() {
	return c->think();
	}
void ControlWrapper::initialize() {
	if (!c) c = new ControlMoron(iname, id);
	c->initialize() ;
	}
void ControlWrapper::deinitialize() {
	if (created) c->deinitialize();
	}
char *ControlWrapper::getTypeName() {
	return "Wrapper";
	}
char *ControlWrapper::getDescription() {
	if (c) return c->getDescription();
	else return "unloaded wrapper";
	}
ControlWrapper::ControlWrapper (char *name, int id) : Control(name, id), c(NULL), created(0) {}
ControlWrapper::~ControlWrapper () {
	if (c) delete c;
	}
void ControlWrapper::setup() {
	c->setup();
	}
void ControlWrapper::add_target(Ship *killit) {
	Control::add_target(killit);
	c->add_target(killit);
	}
void ControlWrapper::remove_target(Ship *killit) {
	Control::remove_target(killit);
	c->remove_target(killit);
	}
void ControlWrapper::set_target(int i) {
	Control::set_target(i);
	c->set_target(i);
	}

