#ifndef _MELEE_H
#include "../melee.h"
#endif

#ifndef _MSHPPAN_H
#define _MSHPPAN_H

extern int PANELS_PER_COLUMN;
extern int PANEL_WIDTH;
extern int PANEL_HEIGHT;

class ShipPanel {
  protected:
  BITMAP *panel;
  BITMAP *captain;

  int panel_x;
  int panel_y;
  int captain_x;
  int captain_y;
  int captain_animated;
  int crew_old;
  int batt_old;
  int batt_light;

  int old_thrust;
  int old_turn_left;
  int old_turn_right;
  int old_fire_weapon;
  int old_fire_special;

  int fryFrame;

  public:
  Ship *ship;
  Ship *nextShip;

  ShipPanel(Ship *oship, int oindex);
  ~ShipPanel();

  int exists();

  void refresh(int index);
  void initialize(Ship *oship, int shipIndex);

  void calculate();
  void animate();
};

#endif